<?php
/**
*
* @package phpBB Extension - Sunspot
* @copyright (c) 2018 HiFiKabin
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

namespace hifikabin\sunspot\event;

/**
* @ignore
*/
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
* Event listener
*/
class listener implements EventSubscriberInterface
{
	/** @var \phpbb\template\template */
	protected $template;

	/** @var \phpbb\user */
	protected $user;

	public function __construct(\phpbb\template\template $template, \phpbb\user $user)
	{
		$this->template = $template;
		$this->user = $user;
	}

	static public function getSubscribedEvents()
	{
		return array(
			'core.page_header' => 'main',
			'core.user_setup' => 'load_language_on_setup',
		);
	}

	public function load_language_on_setup($event)
	{
		$lang_set_ext = $event['lang_set_ext'];
		$lang_set_ext[] = array(
			'ext_name' => 'hifikabin/sunspot',
			'lang_set' => 'common',
		);
		$event['lang_set_ext'] = $lang_set_ext;
	}
	public function main($event)
	{
		$this->template->assign_vars(array(
			'S_USER_SUNSPOT'		=> $this->user->data['user_sunspot'],
		));
	}
}
